SYSTEM=sparc_5_4.0
ViewsIncludeDir=-I$(ILVHOME)/include

ViewsWidgetDir=..
INCLUDE_DIRS=-I$(ViewsWidgetDir)/include -I/usr/dt/include -I/usr/include/Xm -I/usr/openwin/include -I/usr/include/X11 -I../../hdrs
SRCDIR=$(ViewsWidgetDir)/src

LIBNAME=libilvwidget.a
# --------------------------------------------------------------------------
CC=cc -D_NO_PROTO
DEBUG=-O

CFLAGS=$(DEBUG) $(INCLUDE_DIRS) $(DEBUG)

CCC=CC
CCFLAGS=-DSYSV $(DEBUG) $(INCLUDE_DIRS) -I$(ILVHOME)/include

RANLIB=@echo
# --------------------------------------------------------------------------
all: $(LIBNAME)

OBJS=IlogViews.o IlogViewsCplus.o scrollhook.o Ilvconfig.o Ilvcode.o

IlogViews.o: ../include/IlogViewsP.h ../include/IlogViews.h $(SRCDIR)/IlogViews.c
	$(CC) -c $(CFLAGS) $(SRCDIR)/IlogViews.c

IlogViewsCplus.o: $(SRCDIR)/IlogViewsCplus.cc
	$(CCC) -c $(CCFLAGS) $(SRCDIR)/IlogViewsCplus.cc

scrollhook.o: $(SRCDIR)/scrollhook.cc
	$(CCC) -c $(CCFLAGS) $(SRCDIR)/scrollhook.cc

Ilvconfig.o: $(SRCDIR)/Ilvconfig.c
	$(CC) -c $(CFLAGS) $(SRCDIR)/Ilvconfig.c

Ilvcode.o: $(SRCDIR)/Ilvcode.c
	$(CC) -c $(CFLAGS) $(SRCDIR)/Ilvcode.c


$(LIBNAME): $(OBJS)
	-rm -rf libilvwidget.a
	ar cr $(LIBNAME) $(OBJS)
	$(RANLIB) $(LIBNAME)
# --------------------------------------------------------------------------
clean:
	/bin/rm -f *.o libilvwidget.a core *~
